Subject: Re: Porting fig2dev.exe from transfig 3.2
From: [email-masked] (Pierre A. Humblet)

3 May 1998 18:05:56 -0700
Message-ID: <[email-masked]>
References: <000401bd764e$059fb040$f70ae18d@swift>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: "Myles Bogner" <[email-masked]>, <[email-masked]>

At 11:43 PM 5/2/98 -0500, Myles Bogner wrote:
>
>    Using NT 4.0 and gcc 19.1b, I have successfully gotten Xfig 3.2 to run.
>It is appears to be very stable running under the MIX X server.  I saw a
>post in the Mailing List archives that this had been done last August with
>beta 18.
>    I cannot get fig2dev from transfig to compile, however.  Specifically,
>there was an error about an stricmp prototype which I corrected and got
>past by doing an #define MSDOS in genepic.c.  

I have also gotten xfig 3.2 to run very reliably with the MIX X server on
Win95  using b19 with all the fixes as of March 26.
To get the transfig stuff to work you need to take some extra steps:
1) set +u before running xmkmf (if you had "set -u")
2) uncomment the USELATEX2E in the transfig/Imakefile
3) set the jpeg paths in the fig2dev/Imakefile
4) #define MSDOS in genepic.c
5) #define cfree free in free.c
6) edit the fig2dev/Makefile and comment the line "all: fig2dev"
      ("all:" is defined correctly on the next line in the Makefile)
I have compiled the jpeg stuff separately (no problem). Earlier I had tried
not to use jpeg at all. I succeeded only after fixing #ifdef USEJPEG logic
all over the place.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".